/* $Id: hgc.h,v 1.2 1998/10/25 18:18:45 marcus Exp $
******************************************************************************

   KGI - Hercules HGC register definitions

   Copyright (C) 1996	Steffen Seeger	[seeger@ggi-project.org]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#ifndef	_KGI_HERCULES_HGC_H
#define	_KGI_HERCULES_HGC_H

#include "IBM/mda.h"

#undef	MDA_IOBASE
#undef	MDA_IOSIZE
#undef	MDA_FBBASE
#undef	MDA_FBSIZE

#define	HGC_IOBASE	0x3B0
#define	HGC_IOSIZE	0x10
#define	HGC_FBBASE	0x000B0000
#define	HGC_FBSIZE	0x10000

#define CONFm	0x3BF
	#define	CONF_ENB_GRAPH	0x01
	#define	CONF_ENB_BANK1	0x02

/*\
|*|	additional bits in the status/control register
\*/

	#define	CTRL_ENB_GRAPHICS	0x02
	#define	CTRL_DISPLAY_BANK0	0x00
	#define	CTRL_DISPLAY_BANK1	0x80

	#define	STAT_VSYNC		0x80


#endif	/* _KGI_HERCULES_HGC_H */
